Subject: bug#9622: [PATCH] Re: bug#9622: 23.3; flet indentation

From: akater <[email-masked]>
Date: Thu, 30 Sep 2021 15:33:53 +0000

Thierry Volpiatto <[email-masked]> writes:

> Note that using `common-lisp-indent-function` as `lisp-indent-function` in
> emacs-27.2 make `cl-flet` and friends indent properly, with a few more
> settings for `cl-loop` indentation it is perfect, did I miss something?

In general, the languages are different and rules should be expected to
be different.  cl- indenter takes care of #(..) and so on which is
meaningless in Elisp.

I also think common-lisp-indent-function should not attempt to indent
cl- stuff and likewise lisp-indent-function should not indent plain flet
and so on because plain ones are “officially deprecated”.

It would make more sense to have a generic sexp indenter and
dialect-specific indenters that inherit from it.  But inheritance
practices in Emacs is in terrible shape: inheritance mechanisms have
been reinvented in incompatible ways since forever.